    /*
     *  call-seq:
     *     query.add(span_query) -> self
     *     query << span_query -> self
     *
     *  Add a clause to the SpanNearQuery. Clauses are stored in the order they
     *  are added to the query which is important for matching. Note that clauses
     *  must be SpanQueries, not other types of query.
     */
    static VALUE
    frt_spannq_add(VALUE self, VALUE rclause)
    {
        GET_Q();
        Query *clause;
        Data_Get_Struct(rclause, Query, clause);
        spannq_add_clause(q, clause);
        return self;
    }